Create a private equity fund
POST
/portfolio/assets/private-equity-fundsCreates a new Private Equity Fund asset. Funds are pooled vehicles with properties like term, vintage year, investment style, fund type, and subscription type. Sector and geographic allocations can be defined as percentage breakdowns.
Request body
application/json, required · PortfolioCreatePrivateEquityFundRequest
{
"client_reference": "string",
"name": "string",
"source": "string",
"source_id": "string",
"description": "string",
"class": "cash",
"currency": "string",
"investor_subscription_distribution": true,
"manual_valuation": true,
"show_fund_activity_to_investors": true,
"investor_fund_investment_assignment": true,
"hide_cumulative_distribution_timeline": true,
"parent_asset_id": 1,
"subposition_type": "class",
"valuation": 1,
"valuation_date": "2026-06-12T10:00:00+00:00",
"term_of_fund": "string",
"vintage": 1900,
"style": "string",
"fund_type": "open_ended",
"subscription_type": "drawdown",
"sector_allocation": "string",
"geographic_allocation": "string"
}Responses
{
"data": {
"id": 1,
"parent_asset_id": 1,
"client_reference": "string",
"guid": "string",
"name": "string",
"class": "string",
"structure": "string",
"uid": "string",
"source": "string",
"source_id": "string",
"description": "string",
"currency": "string",
"has_subpositions": true,
"has_parent": true,
"subposition_type": "string",
"created_at": "string",
"updated_at": "string",
"raw_asset_data": [
"string"
],
"asset_data": [
"string"
],
"metadata": [
"string"
],
"toggles": {
"values": [
"string"
],
"chain_has_investor_toggle": true,
"is_manual_valuation": true,
"is_investor_sub_dist_allowed": true,
"show_valuation_timeline": true
},
"has_fund_cash": true,
"fund_cash_id": 1,
"has_fund_cash_pots": true,
"parent_has_fund_cash": true,
"parent_name": "string"
}
}422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/assets/private-equity-funds\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"client_reference": "string",
"name": "string",
"source": "string",
"source_id": "string",
"description": "string",
"class": "cash",
"currency": "string",
"investor_subscription_distribution": true,
"manual_valuation": true,
"show_fund_activity_to_investors": true,
"investor_fund_investment_assignment": true,
"hide_cumulative_distribution_timeline": true,
"parent_asset_id": 1,
"subposition_type": "class",
"valuation": 1,
"valuation_date": "2026-06-12T10:00:00+00:00",
"term_of_fund": "string",
"vintage": 1900,
"style": "string",
"fund_type": "open_ended",
"subscription_type": "drawdown",
"sector_allocation": "string",
"geographic_allocation": "string"
}'